# @file
#
# Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2011-2012
# Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2011-2012
#
# See the file LICENSE.txt in the package base directory for details
# 
# - Find AWK
# This module looks for AWK. 
# It will set the following variables:
#  AWK = the awk binary
#
# @author Tobias Hilbrich
#

INCLUDE(FindPackageHandleStandardArgs)

FIND_PROGRAM (AWK NAMES awk gawk PATH /usr/bin /bin /local/bin /usr/local/bin)
MARK_AS_ADVANCED(FORCE AWK)

find_package_handle_standard_args(AWK  DEFAULT_MSG AWK)