/*
 * MUST (Marmot Umpire Scalable Tool)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2011-2012
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2011-2012
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file simpleHVector.c
 * A datatype implementation test.
 * Contains no errors.
 *
 * @author Joachim Protze
 */

#include "datatypetest.h"


int main (int argc, char** argv)
{

    MPI_Init(&argc,&argv);

    MPI_Datatype        vectortype;

    MPI_Type_hvector (10, 1, 12, MPI_INT, &vectortype);

    // call the real test - this is a macro, that directs to the specific test
    datatypeTest(vectortype);

    MPI_Type_free(&vectortype);

    MPI_Finalize ();

    return 0;
}
