/*
 * MUST (Marmot Umpire Scalable Tool)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2011-2012
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2011-2012
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file DCollectiveMatchReduction.cpp
 *       @see must::DCollectiveMatchReduction.
 *
 *  @date 25.04.2012
 *  @author Fabian Hnsel, Tobias Hilbrich, Joachim Protze, Mathias Korepkat
 */

#include "GtiMacros.h"

#include "DCollectiveMatchReduction.h"

using namespace must;

mGET_INSTANCE_FUNCTION(DCollectiveMatchReduction);
mFREE_INSTANCE_FUNCTION(DCollectiveMatchReduction);
mPNMPI_REGISTRATIONPOINT_FUNCTION(DCollectiveMatchReduction);

//=============================
// Constructor
//=============================
DCollectiveMatchReduction::DCollectiveMatchReduction(const char* instanceName)
: DCollectiveMatch<DCollectiveMatchReduction, I_DCollectiveMatchReduction> (instanceName, true)
  {
    //Nothing to do
  }

//=============================
// Destructor
//=============================
DCollectiveMatchReduction::~DCollectiveMatchReduction()
{
    //Nothing to do
}

/*EOF*/
